Skip to main content
GET
Get namespace

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

1

namespace_name
string
required

Namespace name

Pattern: ^[a-z][-a-z0-9]{0,24}[a-z0-9]$
Example:

"namespace-name"

Response

200 - application/json

OK

created_at
string
required

Namespace creation date.

Example:

"2023-08-22T11:21:00Z"

functions
FunctionSerializer · object[]
required

Namespace functions.

Example:
functions_deploy_status
Functions Deploy Status · object
required

Deploy status of namespace functions.

Example:
name
string
required

Namespace name.

Pattern: ^[a-z][-a-z0-9]{0,24}[a-z0-9]$
Example:

"namespace-name"

status
string
required

Namespace status.

Example:

"Active"

description
string | null

Namespace description.

Maximum string length: 255
Example:

"This is a sample namespace."

envs
Envs · object | null

Namespace environment variables. Keys must match a specific regex pattern and be 1-255 characters long, and values must be 0-255 characters long.

Example: